## designate 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
greenlet>=0.3.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
setuptools!=24.0.0,>=16.0 # PSF/ZPL
WebOb>=1.2.3 # MIT
dnspython>=1.14.0 # http://www.dnspython.org/LICENSE
dnspython3>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.28.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0

=== debian/changelog ===
designate (1:3.0.0-4+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Apr 2017 16:01:50 +0000

designate (1:3.0.0-4) unstable; urgency=medium

  * Updated German debconf translation (Closes: #857524).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:29:47 +0200

designate (1:3.0.0-3) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools >= 54~ to ensure config script doesn't
    use net-tools or iproute2, which aren't essential (Closes: #859443).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 16:50:31 +0200

designate (1:3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Added lsb-base to depends.
  * Allow SQLAlchemy >= 1.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Dec 2016 17:23:04 +0100

designate (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:35:57 +0200

=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: bandit,
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-dnspython (>= 1.14.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-flask,
                     python-greenlet,
                     python-hacking,
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 5.1.0),
                     python-os-api-ref,
                     python-os-win (>= 1.2.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-suds,
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     python-webtest,
                     python-werkzeug,
                     python-zake,
                     sqlite3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-designate?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-designate -b debian/newton
Homepage: https://github.com/openstack/designate

Package: python-designate
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-dnspython (>= 1.14.0),
         python-eventlet (>= 0.18.4),
         python-flask,
         python-greenlet,
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.0.0),
         python-memcache (>= 1.56),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 5.1.0),
         python-os-win (>= 1.2.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-suds,
         python-tooz (>= 1.28.0),
         python-webob,
         python-werkzeug,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         designate-mdns (= ${binary:Version}),
         designate-pool-manager (= ${binary:Version}),
         designate-sink (= ${binary:Version}),
         designate-zone-manager (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-mdns
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-zone-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf

	mkdir -p $(CURDIR)/debian/designate-common/usr/share/doc/designate-common/examples
	cp etc/designate/pools.yaml.sample* $(CURDIR)/debian/designate-common/usr/share/doc/designate-common/examples

override_dh_auto_clean:
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart debian/*.service

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing \
		-Xusr/etc/designate/designate.conf.sample \
		-Xusr/etc/designate/policy.json \
		-Xusr/etc/designate/rootwrap.conf.sample \
		-Xusr/etc/designate/api-paste.ini \
		-Xusr/etc/designate/rootwrap.d/bind9.filters

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit --parallel 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## designate 3.0.1

=== debian/changelog ===
designate (1:3.0.1-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 18 May 2017 18:09:41 +0000

designate (1:3.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:15:53 -0400

designate (1:3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:40:22 -0400

designate (1:3.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:41:21 -0400

designate (1:3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton (LP: #1590429).
  * Switch unit test execution to ostestr.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Sep 2016 08:58:04 +0100

designate (1:3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream release.
  * Add python-os-win to (Build-)Depends.

  [ Corey Bryant ]
  * New upstream version.
  * d/designate-common.install: Install designate-worker and designate-producer
    binaries.
  * d/designate-producer.init.in, designate-worker.init.in: Add init scripts
    for new services.
  * d/control: Add designate-producer and designate-worker binary packages.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Add epoch to python-tempest.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 30 Aug 2016 11:19:21 -0400

designate (1:3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:11:00 -0400

designate (1:3.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * debian/patches/fixes-keystone-authtoken.patch: Refreshed.
  * Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 16:55:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,81 +1,80 @@
 Source: designate
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+           David Della Vecchia <ddv@canonical.com>,
+Build-Depends: debhelper (>= 9~),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 54~),
-               po-debconf,
+               openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
-               python-setuptools (>= 16.0),
+               python-setuptools,
                python-sphinx,
-Build-Depends-Indep: bandit,
-                     python-babel (>= 2.3.4),
-                     python-coverage,
+Build-Depends-Indep: python-babel (>= 2.3.4),
+                     python-coverage (>= 3.6),
                      python-debtcollector (>= 1.2.0),
                      python-designateclient (>= 1.5.0),
                      python-dnspython (>= 1.14.0),
-                     python-eventlet (>= 0.18.4),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
-                     python-flask,
-                     python-greenlet,
-                     python-hacking,
+                     python-flask (>= 0.10),
+                     python-greenlet (>= 0.3.2),
+                     python-hacking (>= 0.9.2),
                      python-jinja2 (>= 2.8),
-                     python-jsonschema,
+                     python-jsonschema (>= 2.0.0),
                      python-keystoneauth1 (>= 2.10.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-memcache (>= 1.56),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.13),
-                     python-neutronclient (>= 5.1.0),
-                     python-os-api-ref,
-                     python-os-win (>= 1.2.0),
+                     python-mock (>= 1.2),
+                     python-netaddr (>= 0.7.12),
+                     python-neutronclient (>= 1:5.1.0),
+                     python-os-testr (>= 0.7.0),
+                     python-os-win (>= 0.2.3),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
                      python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
+                     python-oslo.log (>= 3.16.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.9.0),
-                     python-oslo.reports (>= 1.0.0),
+                     python-oslo.reports (>= 0.6.0),
                      python-oslo.rootwrap (>= 5.0.0),
-                     python-oslo.serialization (>= 2.0.0),
+                     python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-paste,
-                     python-pastedeploy,
+                     python-pastedeploy (>= 1.5.0),
+                     python-pbr (>= 1.8),
                      python-pecan (>= 1.0.0),
-                     python-pymysql,
+                     python-pkg-resources (>= 16.0),
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.0),
-                     python-routes,
+                     python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.16.0),
                      python-suds,
                      python-tempest (>= 1:12.1.0),
-                     python-testscenarios,
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
-                     python-webob,
-                     python-webtest,
-                     python-werkzeug,
-                     python-zake,
-                     sqlite3,
-                     subunit,
-                     testrepository,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-designate?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-designate -b debian/newton
+                     python-webob (>= 1.2.3),
+                     python-webtest (>= 2.0),
+                     python-werkzeug (>= 0.7),
+                     python-zake (>= 0.1.6),
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18),
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: python-designate
@@ -85,47 +84,46 @@
          python-debtcollector (>= 1.2.0),
          python-designateclient (>= 1.5.0),
          python-dnspython (>= 1.14.0),
-         python-eventlet (>= 0.18.4),
-         python-flask,
-         python-greenlet,
+         python-eventlet (>= 0.18.2),
+         python-flask (>= 0.10),
+         python-greenlet (>= 0.3.2),
          python-jinja2 (>= 2.8),
-         python-jsonschema,
+         python-jsonschema (>= 2.0.0),
          python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
          python-memcache (>= 1.56),
          python-migrate (>= 0.9.6),
-         python-mysqldb,
-         python-netaddr (>= 0.7.13),
-         python-neutronclient (>= 5.1.0),
-         python-os-win (>= 1.2.0),
+         python-netaddr (>= 0.7.12),
+         python-neutronclient (>= 1:5.1.0),
+         python-os-win (>= 0.2.3),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
          python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
+         python-oslo.log (>= 3.16.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.9.0),
-         python-oslo.reports (>= 1.0.0),
+         python-oslo.reports (>= 0.6.0),
          python-oslo.rootwrap (>= 5.0.0),
-         python-oslo.serialization (>= 2.0.0),
+         python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.16.0),
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
-         python-pymysql,
+         python-pkg-resources (>= 16.0),
          python-requests (>= 2.10.0),
-         python-routes,
+         python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.16.0),
          python-suds,
          python-tooz (>= 1.28.0),
-         python-webob,
-         python-werkzeug,
+         python-webob (>= 1.2.3),
+         python-werkzeug (>= 0.7),
          ${misc:Depends},
          ${python:Depends},
 Provides: ${python:Provides},
@@ -142,7 +140,6 @@
 Package: designate-common
 Architecture: all
 Depends: adduser,
-         dbconfig-common,
          python-designate (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
@@ -162,10 +159,6 @@
          designate-api (= ${binary:Version}),
          designate-central (= ${binary:Version}),
          designate-common (= ${binary:Version}),
-         designate-mdns (= ${binary:Version}),
-         designate-pool-manager (= ${binary:Version}),
-         designate-sink (= ${binary:Version}),
-         designate-zone-manager (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack DNS as a Service - metapackage
@@ -181,10 +174,8 @@
 Architecture: all
 Depends: adduser,
          designate-common (= ${binary:Version}),
-         python-openstackclient,
-         q-text-as-data,
-         ${misc:Depends},
-         ${ostack-lsb-base},
+         python-designate (= ${binary:Version}),
+         ${misc:Depends},
          ${python:Depends},
 Description: OpenStack DNS as a Service - API server
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -200,7 +191,6 @@
 Depends: designate-common (= ${binary:Version}),
          python-designate (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack DNS as a Service - central daemon
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -216,7 +206,6 @@
 Depends: designate-common (= ${binary:Version}),
          python-designate (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack DNS as a Service - agent
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -232,7 +221,6 @@
 Depends: designate-common (= ${binary:Version}),
          python-designate (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack DNS as a Service - sink
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -248,7 +236,6 @@
 Depends: designate-common (= ${binary:Version}),
          python-designate (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack DNS as a Service - mdns
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -264,7 +251,6 @@
 Depends: designate-common (= ${binary:Version}),
          python-designate (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack DNS as a Service - pool manager
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -280,7 +266,6 @@
 Depends: designate-common (= ${binary:Version}),
          python-designate (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack DNS as a Service - zone manager
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -289,3 +274,8 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
+ This package provides the zone manager service.
+
+Package: designate-producer
+Architecture: all
+Depends: designate-common (= ${binary:Version}),

## designate 4.0.0

=== debian/changelog ===
designate (1:4.0.0-1) unstable; urgency=medium

  * New upstream version
  * Edit allow-sqla-1.1.patch , fix-requirements.txt.patch patches
  * Edit debian/control to match requirements 
  * Add fix-tox-ini.patch 
  * Add deletion of pyc files, AUTHORS, ChangeLog as they are generated
    automatically

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 22 Nov 2017 12:37:27 +0100

=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: bandit,
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-dnspython (>= 1.14.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-flask,
                     python-greenlet,
                     python-hacking,
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 5.1.0),
                     python-os-api-ref,
                     python-os-win (>= 1.4.0),
                     python-monasca-statsd (>= 1.1.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-suds,
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-webob,
                     python-webtest,
                     python-werkzeug,
                     python-zake,
                     sqlite3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-designate?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-designate -b debian/newton
Homepage: https://github.com/openstack/designate

Package: python-designate
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-dnspython (>= 1.14.0),
         python-eventlet (>= 0.18.4),
         python-flask,
         python-greenlet,
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.18.0),
         python-keystonemiddleware (>= 4.12.0),
         python-memcache (>= 1.56),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 5.1.0),
         python-os-win (>= 1.4.0),
         python-monasca-statsd (>= 1.1.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-suds,
         python-tooz (>= 1.47.0),
         python-webob,
         python-werkzeug,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         designate-mdns (= ${binary:Version}),
         designate-pool-manager (= ${binary:Version}),
         designate-sink (= ${binary:Version}),
         designate-zone-manager (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-mdns
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-zone-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
 	rm -rf doc/build build *.egg-info
 	rm -f debian/*.init debian/*.upstart debian/*.service
+	find . -name '*\.pyc' -exec rm {} \;
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 override_dh_install:
 	dh_install -O--buildsystem=python_distutils --fail-missing \

## designate 4.0.0%7eb2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
greenlet>=0.3.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.14.0 # Apache-2.0
keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.8 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
setuptools!=24.0.0,>=16.0 # PSF/ZPL
WebOb>=1.6.0 # MIT
dnspython>=1.14.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
dnspython3!=1.13.0,!=1.14.0,>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.28.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=1.1.0 # Apache-2.0
monasca-statsd>=1.1.0 # Apache-2.0
